<AuthState name="${state.entry}" class="ch.nevis.idm.authstate.IdmUserVerifyState" final="false" resumeState="false">
	<ResultCond name="prospect" next="${state.entry}_IdmGetPropertiesState"/>
	<ResultCond name="clientNotFound" next="${state.exit.1}"/>
	<ResultCond name="failed" next="${state.failed}"/>
	<Response value="AUTH_ERROR">
		<Gui name="internal_error">
			<GuiElem name="transferId" type="hidden" value="${request:traceId}" optional="true"/>
		</Gui>
	</Response>
	<propertyRef name="nevisIDM_Connector"/>
	<property name="user.loginid" value="unknown"/>
	<property name="userExtId" value="${request:UserId}"/>
	<property name="client.name" value="${param.client.name}"/>
	<property name="detaillevel.user" value="HIGH"/>
	<property name="detaillevel.profile" value="HIGH"/>
	<property name="detaillevel.role" value="MEDIUM"/>
	<property name="detaillevel.authorization" value="HIGH"/>
	<property name="detaillevel.dataroom" value="LOW"/>
	<property name="detaillevel.credential" value="HIGH"/>
	<property name="detaillevel.property" value="HIGH"/>
	<property name="detaillevel.unit" value="LOW"/>
	<property name="detaillevel.default" value="EXCLUDE"/>
</AuthState>

<AuthState name="${state.entry}_IdmGetPropertiesState" final="false" class="ch.nevis.idm.authstate.IdmGetPropertiesState" resumeState="false">
	<ResultCond name="ok" next="${state.done}"/>
	<ResultCond name="default" next="${state.failed}"/>
	<ResultCond name="clientNotFound" next="${state.exit.1}"/>
	<Response value="AUTH_ERROR">
		<Gui name="internal_error">
			<GuiElem name="transferId" type="hidden" value="${request:traceId}" optional="true"/>
		</Gui>
	</Response>
	<propertyRef name="nevisIDM_Connector"/>
	<!-- Returned Attributes in SecToken -->
	<property name="user.attributes" value="${param.attributes}"/>
	<property name="user.properties" value="${param.properties}"/>
	<property name="user.cred.context_password1.state" value="true"/>
    <property name="user.cred.context_password1.context" value="true"/>   
	<property name="chooseDefaultProfile" value="true"/>
	<property name="forceDataReload" value="true"/>
	<property name="userExtId" value="${sess:ch.nevis.session.userid}"/>
	<property name="client.name" value="${param.client.name}"/>
	<property name="detaillevel.user" value="HIGH"/>
	<property name="detaillevel.profile" value="HIGH"/>
	<property name="detaillevel.role" value="HIGH"/>
	<property name="detaillevel.authorization" value="HIGH"/>
	<property name="detaillevel.dataroom" value="HIGH"/>
	<property name="detaillevel.credential" value="HIGH"/>
	<property name="detaillevel.property" value="HIGH"/>
	<property name="detaillevel.unit" value="LOW"/>
	<property name="detaillevel.default" value="EXCLUDE"/>
</AuthState>
